Packs
These API endpoints are related to IBL packs
packs/{id}Get Pack
Gets a pack on the list based on the URL.
Path Parameters
idRequiredstring
The URL of the pack.
Success
packs/{id}/seoGet Pack SEO Info
Gets the minimal SEO information about a pack for embed/search purposes. Used by v4 website for meta tags
Path Parameters
idRequiredstring
The packs ID, name or vanity
Success
packs/@allGet All Packs
Gets packs on the list, filtered and sorted. Packs with a description under 20 characters are left out unless all=true. This endpoint is paginated.
Query Parameters
pagestring
The page number
pack_typestring
Filter to only packs of this type (bot, server, emoji, sticker, or sound). Omit to return every type.
sortstring
new (default, newest first) or votes (net votes, then most bots and servers, then newest).
allstring
true to include packs with a description under 20 characters.
Success
users/{id}/packsCreate Pack
Creates a pack. Returns 204 on success
Authorization
User-Auth<token>
Requires a user token. Should be prefixed with User in Authorization header.
In: header
Request Body
application/jsonRequiredbotsarray<string>
emojisarray<object>
namestring
pack_typestring
"bot" | "server" | "emoji" | "sticker" | "sound"serversarray<string>
shortstring
soundsarray<object>
stickersarray<object>
tagsarray<string>
urlstring
Path Parameters
idRequiredstring
The user's ID
Success
users/{uid}/packs/{id}Patch Pack
Edits a pack you are owner of based on the URL only. Returns 204 on success
Authorization
User-Auth<token>
Requires a user token. Should be prefixed with User in Authorization header.
In: header
Request Body
application/jsonRequiredbotsarray<string>
emojisarray<object>
namestring
serversarray<string>
shortstring
soundsarray<object>
stickersarray<object>
tagsarray<string>
Path Parameters
uidRequiredstring
The user's ID
idRequiredstring
The pack's URL
Success
users/{uid}/packs/{id}Delete Pack
Deletes a pack by URL. You must be the owner of the pack to delete packs. Returns 204 on success
Authorization
User-Auth<token>
Requires a user token. Should be prefixed with User in Authorization header.
In: header
Path Parameters
uidRequiredstring
The user's ID
idRequiredstring
The pack's URL
Success